Subject: Re: C-108
From: "LLPS -Michael B" <[email-masked]>
To: "Eric Wood" <[email-masked]>
Date: Tue, 15 Nov 2011 10:06:18 -0500

Eric,
Is this something that I need to forward to Steve or Joe?  I have not seen this before.  Let me know.
Thank you,
Michael Bishop
LLPS

From: Eric Wood 
Sent: Monday, November 14, 2011 5:19 PM
To: Mike 
Cc: Julie Metty Bennett 
Subject: FW: C-108

Mike,

I have attached the FSR worksheets up to #6. On Friday I'll send over any canceled checks from previous C108's that have cleared the bank. 

Regards,

Eric

Eric Wood

Hall & Romkema

3495 Coolidge Road

East Lansing, MI 48823

Phone: (517) 337-8900

Fax: (517) 337-8906